System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.BindingElement

This element allows you to enable or disable incoming transaction flow in an endpoint’s binding settings, as well as to specify the desired protocol format for incoming transactions.

When using the protocol to flow transactions from endpoint to endpoint, the transaction timeout can be lost if the destination endpoint attempts to flow again using any protocol other than . This can cause all down-level nodes after the hop to timeout later than expected.

Represents the configuration element that specifies transaction flow support for a binding. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  crabout choosing the protocol to be used, see Enabling Transaction Flow.

  Initializes a new instance of the class with the specified protocol that is used to flow a transaction.

- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelFactory<TChannel> ``

  This method creates a channel factory that can be used to make outgoing channels of the specified type. This method is called by the infrastructure when building the channel stack. You should use it in your code only when you implement a custom binding element.

  Initializes a channel factory for producing channels of a specified type from a binding context.

  The of type initialized from .

  The that should be used to build the channel factory. The channel type.
- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelListener<TChannel> ReferenceTypeConstraint System.ServiceModel.Channels.IChannel ``

  This method creates a channel listener to receive messages for this binding.

  This method is called by the infrastructure when building the channel. You should use it in your code only when you implement a custom binding element.

  Initializes a channel listener for accepting channels of a specified type from the binding context.

  The of type initialized from .

  The that should be used to build the channel listener. The channel type.
- Method
  4.0.0.0
  System.Boolean ``

  You should call this method to check that the channel factory for channels of type can be built for the specified , before attempting to actually build the factory. Note that throws an exception if it cannot build a channel factory for the specified channel type.

  Returns a value that indicates whether the specified binding context can build a channel factory for producing channels of a specified type.

  true if a channel factory for the specified type of channel can be built from ; otherwise, false.

  The that should be used to determine if a channel factory can be built. The channel type.
- Method
  4.0.0.0
  System.Boolean ReferenceTypeConstraint System.ServiceModel.Channels.IChannel ``

  You should call this method to check that the channel listener for channels of type of can be built for the specified , before attempting to actually build the listener. Note that throws an exception if it cannot build a channel listener for the specified channel type.

  Returns a value that indicates whether the specified binding context can build a channel listener for accepting channels of a specified type.

  true if a channel listener for the specified type of channel can be built from ; otherwise, false.

  The that should be used to determine if a channel listener can be built. The channel type.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement

  This method creates a deep clone of this binding element. A deep clone of an object creates a copy of the object and a copy of everything directly or indirectly referenced by that object. (This is also called copying the entire object graph.) A shallow clone of an object, by contrast, is a copy of the object only. If the object contains references to other objects, the shallow copy does not create copies of the referred objects; instead, it copies only the references to the original objects.

  Creates a duplicate of this element.

  A that is a duplicate of this element.

- Method
  4.0.0.0
  T ReferenceTypeConstraint ``

  You can use this method to retrieve capabilities, requirements and parameters from the binding element stack. If a binding element supports returning the requested object, it returns it. If not, it delegates the call down to the next binding element in the stack. If it gets to the bottom of the stack and no binding element supported the requested object, this method returns null.

  Gets the typed object requested, if present, from the appropriate layer in the binding stack.

  The typed object requested if it is present; null if it is not.

  The The typed object for which the method is querying.
- Property
  4.0.0.0
  System.ServiceModel.TransactionProtocol To be added.

  crabout choosing the protocol to be used, see Enabling Transaction Flow.

  Gets or sets the transaction protocol used in flowing a transaction.